#ifndef fast_dc_hhh_hhhhhhh
#define fast_dc_hhh_hhhhhhh

#ifdef WIN32

#include <fox/fx.h>

  /* a fast dc for win32
   *
   */

class fast_dc : public FXDC
{
protected:
  FXDrawable *surface;        // Drawable surface
  FXVisual   *visual;         // Visual of drawable

  static FXID        pen;
  FXPixel     devfg;          // Device foreground pixel value
  FXID        oldpalette;

public:

  fast_dc(FXDrawable* drawable);
  ~fast_dc();

  void begin(FXDrawable *drawable);
  void end();

  virtual void drawPoint(FXint x,FXint y);
  virtual void drawLine(FXint x1,FXint y1,FXint x2,FXint y2);

  virtual void setForeground(FXColor clr);
  virtual void setClipRectangle(FXint x,FXint y,FXint w,FXint h);
};

#endif // WIN32

#endif
